{
  "name": "bootstrap",
  "description": "The most popular front-end framework for developing responsive, mobile first projects on the web.",
  "version": "4.5.2",
  "version_short": "4.5",
  "keywords": [
    "css",
    "sass",
    "mobile-first",
    "responsive",
    "front-end",
    "framework",
    "web"
  ],
  "homepage": "https://getbootstrap.com/",
  "author": "The Bootstrap Authors (https://github.com/twbs/bootstrap/graphs/contributors)",
  "contributors": [
    "Twitter, Inc."
  ],
  "scripts": {
    "start": "npm-run-all --parallel watch docs-serve",
    "bundlewatch": "bundlewatch --config .bundlewatch.config.json",
    "css": "npm-run-all css-compile css-prefix css-minify css-copy",
    "css-copy": "cross-env-shell shx mkdir -p site/docs/$npm_package_version_short/dist/ && cross-env-shell shx cp -r dist/css/ site/docs/$npm_package_version_short/dist/",
    "css-main": "npm-run-all css-lint css-compile-main css-prefix-main css-minify-main css-copy",
    "css-docs": "npm-run-all css-compile-docs css-prefix-docs css-minify-docs",
    "css-compile": "npm-run-all --parallel css-compile-*",
    "css-compile-main": "node-sass --output-style expanded --source-map true --source-map-contents true --precision 6 scss/ -o dist/css/ && npm run css-copy",
    "css-compile-docs": "cross-env-shell node-sass --output-style expanded --source-map true --source-map-contents true --precision 6 site/docs/$npm_package_version_short/assets/scss/docs.scss site/docs/$npm_package_version_short/assets/css/docs.min.css",
    "css-lint": "npm-run-all --continue-on-error --parallel css-lint-*",
    "css-lint-main": "stylelint \"scss/**/*.scss\" --cache --cache-location .cache/.stylelintcache --rd",
    "css-lint-docs": "stylelint \"site/docs/**/assets/scss/*.scss\" \"site/docs/**/*.css\" --cache --cache-location .cache/.stylelintcache",
    "css-lint-vars": "fusv scss/ site/docs/",
    "css-minify": "npm-run-all --parallel css-minify-*",
    "css-minify-main": "cleancss --level 1 --format breakWith=lf --source-map --source-map-inline-sources --output dist/css/bootstrap.min.css dist/css/bootstrap.css && cleancss --level 1 --format breakWith=lf --source-map --source-map-inline-sources --output dist/css/bootstrap-grid.min.css dist/css/bootstrap-grid.css && cleancss --level 1 --format breakWith=lf --source-map --source-map-inline-sources --output dist/css/bootstrap-reboot.min.css dist/css/bootstrap-reboot.css",
    "css-minify-docs": "cross-env-shell cleancss --level 1 --format breakWith=lf --source-map --source-map-inline-sources --output site/docs/$npm_package_version_short/assets/css/docs.min.css site/docs/$npm_package_version_short/assets/css/docs.min.css",
    "css-prefix": "npm-run-all --parallel css-prefix-*",
    "css-prefix-main": "postcss --config build/postcss.config.js --replace \"dist/css/*.css\" \"!dist/css/*.min.css\"",
    "css-prefix-docs": "postcss --config build/postcss.config.js --replace \"site/docs/**/*.css\"",
    "js": "npm-run-all js-compile js-minify js-copy",
    "js-copy": "cross-env-shell shx mkdir -p site/docs/$npm_package_version_short/dist/ && cross-env-shell shx cp -r dist/js/ site/docs/$npm_package_version_short/dist/",
    "js-main": "npm-run-all js-lint js-compile js-minify-main",
    "js-docs": "npm-run-all js-lint-docs js-minify-docs",
    "js-compile": "npm-run-all --parallel js-compile-* --sequential js-copy",
    "js-compile-standalone": "rollup --environment BUNDLE:false --config build/rollup.config.js --sourcemap",
    "js-compile-bundle": "rollup --environment BUNDLE:true --config build/rollup.config.js --sourcemap",
    "js-compile-plugins": "node build/build-plugins.js",
    "js-compile-plugins-coverage": "cross-env NODE_ENV=test node build/build-plugins.js",
    "js-lint": "npm-run-all --continue-on-error --parallel js-lint-*",
    "js-lint-main": "eslint --report-unused-disable-directives --cache --cache-location .cache/.eslintcache js/src js/tests build/",
    "js-lint-docs": "eslint --report-unused-disable-directives --cache --cache-location .cache/.eslintcache site/",
    "js-minify": "npm-run-all --parallel js-minify-main js-minify-docs",
    "js-minify-main": "npm-run-all js-minify-standalone js-minify-bundle",
    "js-minify-standalone": "terser --compress typeofs=false --mangle --comments \"/^!/\" --source-map \"content=dist/js/bootstrap.js.map,includeSources,url=bootstrap.min.js.map\" --output dist/js/bootstrap.min.js dist/js/bootstrap.js",
    "js-minify-bundle": "terser --compress typeofs=false --mangle --comments \"/^!/\" --source-map \"content=dist/js/bootstrap.bundle.js.map,includeSources,url=bootstrap.bundle.min.js.map\" --output dist/js/bootstrap.bundle.min.js dist/js/bootstrap.bundle.js",
    "js-minify-docs": "cross-env-shell terser --mangle --comments \\\"/^!/\\\" --output site/docs/$npm_package_version_short/assets/js/docs.min.js site/docs/$npm_package_version_short/assets/js/vendor/anchor.min.js site/docs/$npm_package_version_short/assets/js/vendor/clipboard.min.js site/docs/$npm_package_version_short/assets/js/vendor/bs-custom-file-input.min.js \"site/docs/$npm_package_version_short/assets/js/src/*.js\"",
    "js-test": "npm-run-all js-test-karma* js-test-integration",
    "js-test-karma": "karma start js/tests/karma.conf.js",
    "js-test-karma-old": "cross-env USE_OLD_JQUERY=true npm run js-test-karma",
    "js-test-karma-bundle": "cross-env BUNDLE=true npm run js-test-karma",
    "js-test-karma-bundle-old": "cross-env BUNDLE=true USE_OLD_JQUERY=true npm run js-test-karma",
    "js-test-integration": "rollup --config js/tests/integration/rollup.bundle.js",
    "js-test-cloud": "cross-env BROWSER=true npm run js-test-karma",
    "lint": "npm-run-all --parallel js-lint css-lint lockfile-lint",
    "docs": "npm-run-all css-docs js-docs docs-build docs-lint",
    "docs-build": "bundle exec jekyll build",
    "docs-compile": "npm run docs-build",
    "docs-production": "cross-env JEKYLL_ENV=production npm run docs-build",
    "docs-netlify": "cross-env JEKYLL_ENV=netlify npm run docs-build",
    "docs-linkinator": "linkinator _gh_pages --recurse --silent --skip \"^(?!http://localhost)\"",
    "docs-vnu": "node build/vnu-jar.js",
    "docs-lint": "npm-run-all --parallel docs-vnu docs-linkinator",
    "docs-serve": "bundle exec jekyll serve",
    "docs-serve-only": "npm run docs-serve -- --skip-initial-build --no-watch",
    "lockfile-lint": "lockfile-lint --allowed-hosts npm --allowed-schemes https: --empty-hostname false --type npm --path package-lock.json",
    "update-deps": "ncu -u -x \"jquery,karma-browserstack-launcher,sinon\" && npm update && bundle update && cross-env-shell echo Manually update \\\"site/docs/$npm_package_version_short/assets/js/vendor/\\\"",
    "release": "npm-run-all dist release-sri docs-production release-zip*",
    "release-sri": "node build/generate-sri.js",
    "release-version": "node build/change-version.js",
    "release-zip": "cross-env-shell \"shx rm -rf bootstrap-$npm_package_version-dist && shx cp -r dist/ bootstrap-$npm_package_version-dist && zip -r9 bootstrap-$npm_package_version-dist.zip bootstrap-$npm_package_version-dist && shx rm -rf bootstrap-$npm_package_version-dist\"",
    "release-zip-examples": "node build/zip-examples.js",
    "dist": "npm-run-all --parallel css js",
    "test": "npm-run-all lint dist js-test docs-build docs-lint",
    "netlify": "npm-run-all dist release-sri docs-netlify",
    "watch": "npm-run-all --parallel watch-*",
    "watch-css-main": "nodemon --watch scss/ --ext scss --exec \"npm run css-main\"",
    "watch-css-docs": "nodemon --watch \"site/docs/**/assets/scss/\" --ext scss --exec \"npm run css-docs\"",
    "watch-js-main": "nodemon --watch js/src/ --ext js --exec \"npm run js-compile\"",
    "watch-js-docs": "nodemon --watch \"site/docs/**/assets/js/src/\" --ext js --exec \"npm run js-docs\""
  },
  "style": "dist/css/bootstrap.css",
  "sass": "scss/bootstrap.scss",
  "main": "dist/js/bootstrap.js",
  "repository": {
    "type": "git",
    "url": "git+https://github.com/twbs/bootstrap.git"
  },
  "bugs": {
    "url": "https://github.com/twbs/bootstrap/issues"
  },
  "license": "MIT",
  "funding": {
    "type": "opencollective",
    "url": "https://opencollective.com/bootstrap"
  },
  "dependencies": {},
  "peerDependencies": {
    "jquery": "1.9.1 - 3",
    "popper.js": "^1.16.1"
  },
  "devDependencies": {
    "@babel/cli": "^7.11.6",
    "@babel/core": "^7.11.6",
    "@babel/preset-env": "^7.11.5",
    "@rollup/plugin-babel": "^5.2.1",
    "@rollup/plugin-commonjs": "^15.1.0",
    "@rollup/plugin-node-resolve": "^9.0.0",
    "autoprefixer": "^9.8.6",
    "babel-plugin-istanbul": "^6.0.0",
    "bundlewatch": "^0.3.1",
    "clean-css-cli": "^4.3.0",
    "cross-env": "^7.0.2",
    "eslint": "^7.10.0",
    "eslint-config-xo": "^0.32.1",
    "eslint-plugin-import": "^2.22.1",
    "eslint-plugin-unicorn": "^22.0.0",
    "find-unused-sass-variables": "^2.0.0",
    "glob": "^7.1.6",
    "hammer-simulator": "0.0.1",
    "ip": "^1.1.5",
    "jquery": "^3.5.1",
    "karma": "^5.2.3",
    "karma-browserstack-launcher": "1.4.0",
    "karma-chrome-launcher": "^3.1.0",
    "karma-coverage-istanbul-reporter": "^3.0.3",
    "karma-detect-browsers": "^2.3.3",
    "karma-firefox-launcher": "^1.3.0",
    "karma-qunit": "^4.1.1",
    "karma-sinon": "^1.0.5",
    "linkinator": "^2.1.3",
    "lockfile-lint": "^4.3.7",
    "node-sass": "^4.14.1",
    "nodemon": "^2.0.4",
    "npm-run-all": "^4.1.5",
    "popper.js": "^1.16.1",
    "postcss-cli": "^7.1.2",
    "qunit": "^2.11.2",
    "rollup": "^2.28.2",
    "shelljs": "^0.8.4",
    "shx": "^0.3.2",
    "sinon": "^7.5.0",
    "stylelint": "^13.7.2",
    "stylelint-config-twbs-bootstrap": "^2.1.0",
    "terser": "^4.8.0",
    "vnu-jar": "20.6.30"
  },
  "files": [
    "dist/{css,js}/*.{css,js,map}",
    "js/{src,dist}/**/*.{js,map}",
    "scss/**/*.scss"
  ],
  "jspm": {
    "registry": "npm",
    "main": "js/bootstrap",
    "directories": {
      "lib": "dist"
    },
    "shim": {
      "js/bootstrap": {
        "deps": [
          "jquery",
          "popper.js"
        ],
        "exports": "$"
      }
    },
    "dependencies": {},
    "peerDependencies": {
      "jquery": "1.9.1 - 3",
      "popper.js": "^1.16.1"
    }
  }
}
